com.ibm.openpages.api.trigger.oob

## Class DetectPropertyChangeRule

- java.lang.Object
- - com.ibm.openpages.api.trigger.AbstractRule
  - - com.ibm.openpages.api.trigger.ext.DefaultRule
    - - com.ibm.openpages.api.trigger.oob.DetectPropertyChangeRule

-     public class DetectPropertyChangeRule
      extends DefaultRule

  This GRC trigger rule detects when a specified list of fields of a GRC object have changed their value during a create.object or update.object event.
  Usage: This rule can be used for following events:
  create.object
  create.object.with.relations
  update.object
  This rule can be executed in the PRE or POST position.
  Attributes:

  Attribute | Values | Description | Required | Default
  --- | --- | --- | --- | ---
  content.type |  | The object type name of the object. E.g. <attribute name="content.type" value="SOXIssue"/> | Yes |
  fields |  | Determines the set of fields to detect changes. A comma-separated list of field names. E.g. <attribute name="fields" value= "OPSS-Iss:Assignee,OPSS-Iss:Due Date"/> | Yes |
  check.for | all - All fields will be checked for changes. any - Checks whether any one field was changed. | Determines the scope of the search. E.g. <attribute name="check.for" value="all"/> | No | all

  The format of a field name should be [FieldGroup]:[FieldName], for example: 'OPSS-Iss:Due Date'.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetectPropertyChangeRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isApplicable(CreateResourceEvent event)` Check if the create resource event should be applied.
    `boolean` | `isApplicable(CreateResourceWithRelationsEvent event)` Check if the create resource with relations event should be applied.
    `boolean` | `isApplicable(UpdateResourceEvent event)` Check if the update resource event should be applied.

    - ### Methods inherited from class com.ibm.openpages.api.trigger.ext.DefaultRule

      `isApplicable, isApplicable, isApplicable, isApplicable, isApplicable, isApplicable, isApplicable, isApplicable, isApplicable, isApplicable`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.AbstractRule

      `getAttributes, setAttributes`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetectPropertyChangeRule

          public DetectPropertyChangeRule()

  - ### Method Detail

    - #### isApplicable

          public boolean isApplicable(CreateResourceEvent event)

      Check if the create resource event should be applied.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a create resource event to be checked.
      Returns:
        true if the event should be applied, otherwise return false.

    - #### isApplicable

          public boolean isApplicable(CreateResourceWithRelationsEvent event)

      Check if the create resource with relations event should be applied.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - a create resource with relations event to be checked.
      Returns:
        true if the event should be applied, otherwise return false.

    - #### isApplicable

          public boolean isApplicable(UpdateResourceEvent event)

      Check if the update resource event should be applied.
      Overrides:
        `isApplicable` in class `DefaultRule`
      Parameters:
        `event` - an update resource event to be checked.
      Returns:
        true if the event should be applied, otherwise return false.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.